import { Construct } from 'constructs';
import { DockerImageAsset } from 'aws-cdk-lib/aws-ecr-assets';
export interface ITemporalNodejsWorkerImageProps {
    readonly entrypoint: string;
    readonly externals?: (string | RegExp)[];
}
export declare class TemporalNodejsWorkerImage extends Construct {
    readonly dockerImageAsset: DockerImageAsset;
    constructor(scope: Construct, id: string, props: ITemporalNodejsWorkerImageProps);
}
