import { RemovalPolicy } from 'aws-cdk-lib';
import { Construct } from 'constructs';
import { ITemporalDatastore, TemporalCluster } from '../..';
export interface ITemporalDatabaseProps {
    readonly datastore: ITemporalDatastore;
    readonly databaseName: string;
    readonly schemaType: 'main' | 'visibility';
    readonly removalPolicy?: RemovalPolicy;
}
export declare class TemporalDatabase extends Construct {
    readonly datastore: ITemporalDatastore;
    readonly databaseName: string;
    readonly schemaType: 'main' | 'visibility';
    constructor(cluster: TemporalCluster, id: string, props: ITemporalDatabaseProps);
}
