export declare class NodejsWorkerBundler {
    private readonly entrypointPath;
    private readonly targetPath;
    private readonly entrypointPackageRoot;
    private readonly externalDepsPatterns;
    private readonly workflowsBundles;
    private readonly packageJson;
    private readonly optimize;
    constructor(opts: {
        entrypointPath: string;
        targetPath: string;
        externals?: (string | RegExp)[];
    });
    bundle(): Promise<void>;
    protected bundleWorker(entry: string, target: string): Promise<void>;
    protected bundleWorkflows(targetDirectory: string): Promise<void>;
    protected generatePackageJson(targetDirectory: string): Promise<void>;
}
