import { CdkCustomResourceEvent, CdkCustomResourceResponse } from 'aws-lambda';
export interface IEfsFileResourceProperties {
    readonly FileSystemId: string;
    readonly Path: string;
    readonly Contents: string;
}
export declare function onEvent(event: CdkCustomResourceEvent): Promise<CdkCustomResourceResponse | {
    PhysicalResourceId: string;
}>;
export declare function putObject(event: CdkCustomResourceEvent): Promise<CdkCustomResourceResponse>;
export declare function deleteObject(event: CdkCustomResourceEvent): Promise<{
    PhysicalResourceId: string;
}>;
